%define version	0.02
%define release	1mdk
%define name 	perl-Sys-Mknod
%define realname	Sys-Mknod

Summary:	Sys::Mknod - make special files
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	http://search.cpan.org/CPAN/authors/id/S/SA/SAMV/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Requires: 	perl
   
%description
Sys::Mknod - make special files

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

# I am sorry, we can't make test because because
# it try to run mknod, and we can't be root to
# build the package...
# make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}
%{_mandir}/*/*
%doc Changes README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.02-1mdk
- initial release 
